resource kubernetes_pod filebrowser {
  metadata {
    name = "filebrowser"
    namespace = kubernetes_namespace.vault.metadata.0.name
    labels = {
      app = "filebrowser"
    }
  }
  spec {
    container {
      image = "filebrowser/filebrowser"
      name  = "filebrowser"
      env {
        name  = "TZ"
        value = "PST"
      }
      port {
        container_port = 80
      }
    }
  }
}

resource kubernetes_service filebrowser {
  metadata {
    name = "filebrowser"
    namespace = kubernetes_namespace.vault.metadata.0.name
  }
  spec {
    selector = {
      app = kubernetes_pod.filebrowser.metadata.0.labels.app
    }
    port {
      port  = 8000
      target_port = 80
    }
    type = "LoadBalancer"
  }
}
